Bug 1118277 - (CVE-2018-19788) VUL-0: CVE-2018-19788: polkit: a user with a uid greater than INT_MAX can successfully execute any systemctl command
(CVE-2018-19788)
VUL-0: CVE-2018-19788: polkit: a user with a uid greater than INT_MAX can suc...
Status: RESOLVED FIXED
: 1118274 1119056 (view as bug list)
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/220043/
CVSSv3:RedHat:CVE-2018-19788:7.0:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-12-04 08:35 UTC by Robert Frohl
Modified: 2019-12-18 16:25 UTC (History)
6 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Frohl 2018-12-04 08:35:12 UTC
CVE-2018-19788

A flaw was found in PolicyKit (aka polkit) 0.115 that allows a user with a uid
greater than INT_MAX to successfully execute any systemctl command.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2018-19788
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=915332
https://gitlab.freedesktop.org/polkit/polkit/issues/74
Comment 1 Robert Frohl 2018-12-04 08:39:48 UTC
QA reproducer:
$ useradd -u 4000000000 polkit_user
$ su polkit_user

# systemctl is-active sshd
active

# systemctl stop sshd
(pkttyagent:3342): GLib-GObject-WARNING **: value "-294967296" of type 'gint' is invalid or out of range for property 'uid' of type 'gint'
**
ERROR:pkttyagent.c:156:main: assertion failed: (polkit_unix_process_get_uid (POLKIT_UNIX_PROCESS (subject)) >= 0)

# systemctl is-active sshd
inactive
Comment 3 Robert Frohl 2018-12-04 09:42:20 UTC
Both sle12 and sle15 are affected.
Comment 4 Robert Frohl 2018-12-04 10:00:21 UTC
*** Bug 1118274 has been marked as a duplicate of this bug. ***
Comment 5 Zhiyuan Gao 2018-12-11 06:29:26 UTC
*** Bug 1119056 has been marked as a duplicate of this bug. ***
Comment 6 Zhiyuan Gao 2018-12-11 06:31:51 UTC
openSUSE tumbleweed is also affected. 

Additionally, `systemd-run -t /bin/bash` would give us a shell with root privilege. So it is not only systemctl that can execute any command.
Comment 8 Swamp Workflow Management 2018-12-20 18:40:07 UTC
This is an autogenerated message for OBS integration:
This bug (1118277) was mentioned in
https://build.opensuse.org/request/show/660355 42.3 / polkit
https://build.opensuse.org/request/show/660357 Factory / polkit
Comment 9 Marcus Meissner 2018-12-21 09:39:34 UTC
all submitted
Comment 10 Swamp Workflow Management 2018-12-28 20:12:05 UTC
openSUSE-SU-2018:4282-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1118277
CVE References: CVE-2018-19788
Sources used:
openSUSE Leap 42.3 (src):    polkit-0.113-14.6.1
Comment 11 Swamp Workflow Management 2019-01-03 14:09:07 UTC
SUSE-SU-2019:0015-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1118277
CVE References: CVE-2018-19788
Sources used:
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (src):    polkit-0.114-3.6.1
SUSE Linux Enterprise Module for Basesystem 15 (src):    polkit-0.114-3.6.1
Comment 12 Swamp Workflow Management 2019-01-04 17:14:45 UTC
SUSE-SU-2019:0019-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1118277
CVE References: CVE-2018-19788
Sources used:
SUSE OpenStack Cloud 7 (src):    polkit-0.113-5.15.1
SUSE Linux Enterprise Workstation Extension 12-SP4 (src):    polkit-0.113-5.15.1
SUSE Linux Enterprise Workstation Extension 12-SP3 (src):    polkit-0.113-5.15.1
SUSE Linux Enterprise Software Development Kit 12-SP4 (src):    polkit-0.113-5.15.1
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    polkit-0.113-5.15.1
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    polkit-0.113-5.15.1
SUSE Linux Enterprise Server 12-SP4 (src):    polkit-0.113-5.15.1
SUSE Linux Enterprise Server 12-SP3 (src):    polkit-0.113-5.15.1
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    polkit-0.113-5.15.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    polkit-0.113-5.15.1
SUSE Linux Enterprise Server 12-SP1-LTSS (src):    polkit-0.113-5.15.1
SUSE Linux Enterprise Server 12-LTSS (src):    polkit-0.113-5.15.1
SUSE Linux Enterprise Desktop 12-SP4 (src):    polkit-0.113-5.15.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    polkit-0.113-5.15.1
SUSE Enterprise Storage 4 (src):    polkit-0.113-5.15.1
Comment 13 Swamp Workflow Management 2019-01-10 23:14:39 UTC
openSUSE-SU-2019:0010-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1118277
CVE References: CVE-2018-19788
Sources used:
openSUSE Leap 15.0 (src):    polkit-0.114-lp150.2.6.1
Comment 14 Marcus Meissner 2019-01-11 07:07:01 UTC
done
Comment 15 Swamp Workflow Management 2019-04-27 01:09:04 UTC
SUSE-SU-2019:0019-2: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1118277
CVE References: CVE-2018-19788
Sources used:
SUSE Linux Enterprise Server for SAP 12-SP1 (src):    polkit-0.113-5.15.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.